if not MenuHelperHelper then return end

-- This is a copy of 'menumanager.lua', but without comments

Profile_menu = {
	name = 'John Smith',
	age = 35,
	more = {
			height = 180,
			weight = 85
		},
	sex = { 'male', 'female', 'other', value = 1},
	married = true,
	gap = '_ 20',
	notes = function(item)
		QuickMenu:new(
					'Notes', 
					'No notes attached.',
					 {{text = 'OK', is_cancel_button = true}}	
				):Show()
	end
}

MenuHelperHelper._tweaks = {
	name = { priority = 10 },
	gap = { priority = 9 },
	age = {slider_min = 0, slider_max = 120},
	height = {slider_min = 50, slider_max = 220},
	weight = {slider_min = 30, slider_max = 150}
}

MenuHelperHelper:CreateMenu(Profile_menu, 'profile_menu', 'Profile.txt', function(settings) 
	Profile_menu = settings
end) --, 'profile.json')


local thisPath
local thisDir
local function Dirs()
	thisPath = debug.getinfo(2, "S").source:sub(2)
	thisDir = string.match(thisPath, '.*/')
end
Dirs()
Dirs = nil

Hooks:Add("LocalizationManagerPostInit", "ProfileMenu", function(loc)
	LocalizationManager:load_localization_file(thisDir..'loc.json')
end)